package mk.tmarkovski.android.glasnik.activity;

import android.app.Activity;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentManager;
import android.util.Log;
import android.view.Window;
import android.webkit.WebView;
import mk.tmarkovski.android.glasnik.AppConstants;
import mk.tmarkovski.android.glasnik.R;

/**
 * Created by IntelliJ IDEA.
 * User: Tome
 * Date: 4.2.12
 * Time: 21:01
 * To change this template use File | Settings | File Templates.
 */
public class ArticleActivity extends FragmentActivity implements AppConstants {
    private String url;
    private String articleTitle;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);

        setUrl(getIntent().getStringExtra(URL_TAG_EXTRA));
        setArticleTitle(getIntent().getStringExtra(TITLE_TAG_EXTRA));
        setContentView(R.layout.activity_article);

        //FragmentManager manager = getSupportFragmentManager();
        //manager.beginTransaction().add(R.id.webFragment, new WebViewFragment(), "webviewfragment").commit();
    }

    private void setArticleTitle(String stringExtra) {
        this.articleTitle = stringExtra;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUrl() {
        return url;
    }

    public String getArticleTitle() {
        return articleTitle;
    }
}
