package mk.tmarkovski.android.glasnik.feed.formatters;

import android.util.Log;
import mk.tmarkovski.android.glasnik.AppConstants;
import mk.tmarkovski.android.glasnik.feed.Article;
import mk.tmarkovski.android.glasnik.feed.Feed;
import mk.tmarkovski.android.glasnik.feed.IFeedFormatter;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Element;

/**
 * Created by IntelliJ IDEA.
 * User: Tome
 * Date: 11.3.12
 * Time: 20:16
 * To change this template use File | Settings | File Templates.
 */
public class Makedonija24Formatter implements IFeedFormatter, AppConstants {
    @Override
    public void formatFeed(Feed feed) {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public void formatArticle(Article article) {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public void formatArticle(Element pItemElement, Article article) {
        try {
            //article.setUrl(pItemElement.getElementsByTag("guid").text());
            for (Element element : Jsoup.parse(article.getDescription()).getElementsByTag("img")) {
                article.setImage(element.attr("src").replace(" ", "%20"));
                break;
            }
        } catch (Exception e) {
            Log.e(LOG, "Error parsing image url string", e);
        }
        article.setTitle(Jsoup.parse(article.getTitle()).text());
        if (article.getDescription().length() > 250)
            article.setDescription(Jsoup.parse(article.getDescription()).text().substring(0, 250));
        else
            article.setDescription(Jsoup.parse(article.getDescription()).text().substring(0, 250));
        article.setMediaUrl(pItemElement.getElementsByTag("media:streamurl").text());
    }
}
