package mk.tmarkovski.android.glasnik.feed.formatters;

import android.util.Log;
import mk.tmarkovski.android.glasnik.AppConstants;
import mk.tmarkovski.android.glasnik.feed.Article;
import mk.tmarkovski.android.glasnik.feed.Feed;
import mk.tmarkovski.android.glasnik.feed.IFeedFormatter;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Element;

/**
 * Created by IntelliJ IDEA.
 * User: Tome
 * Date: 31.1.12
 * Time: 23:09
 * To change this template use File | Settings | File Templates.
 */
public class TimeFormatter implements IFeedFormatter, AppConstants {
    public void formatFeed(Feed feed) {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    public void formatArticle(Article article) {
        /*try {
            for (Element element : Jsoup.parse(article.description).getElementsByTag("img")) {
                article.image = element.attr("src").replace(" ", "%20");
                break;
            }
        } catch (Exception e) {
            Log.e(LOG, e.toString());
        }
        try {
            article.title = article.title.substring(0, article.title.lastIndexOf("|"));
        } catch (Exception e) {
            Log.e(LOG, e.toString());
        }
        try {
            article.description = Jsoup.parse(article.description.substring(article.description.indexOf("<br>"),
                    article.description.indexOf("<br /><b>"))).text();
        } catch (Exception e) {
            Log.e(LOG, e.toString());
        } */
    }

    @Override
    public void formatArticle(Element pItemElement, Article article) {
        try {
            for (Element element : Jsoup.parse(article.getDescription()).getElementsByTag("img")) {
                article.setImage(element.attr("src").replace(" ", "%20"));
                break;
            }
        } catch (Exception e) {
            Log.e(LOG, "Error parsing image url string", e);
        }
        article.setDescription(Jsoup.parse(article.getDescription()).text());
    }
}
