package mk.tmarkovski.android.glasnik.updates;

import android.content.Context;
import android.content.Intent;
import mk.tmarkovski.android.glasnik.AppConstants;

/**
 * Created by IntelliJ IDEA.
 * User: Tome
 * Date: 8.3.12
 * Time: 22:21
 * To change this template use File | Settings | File Templates.
 */
public class ProgressRunnable implements Runnable, AppConstants {
    private Context mContext;
    private int mStep;
    private int mProgress;

    public ProgressRunnable(Context context) {
        this.mContext = context;
    }

    @Override
    public void run() {
        Intent intent = new Intent(ACTION_FEED_UPDATE_PROGRESS);
        intent.putExtra(PROGRESS_EXTRA, mProgress);
        this.mContext.sendBroadcast(intent);
    }

    public void setStep(int mStep) {
        this.mStep = mStep;
    }

    public void progress(int stepCount) {
        mProgress += mStep * stepCount;
        run();
    }

    protected void finish() {
        mProgress = 100;
        run();
    }

    public void start() {
        run();
    }
}
