package mk.tmarkovski.android.glasnik.activity;

import android.app.Activity;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.Window;
import android.widget.MediaController;
import android.widget.Toast;
import android.widget.VideoView;
import mk.tmarkovski.android.glasnik.AppConstants;
import mk.tmarkovski.android.glasnik.R;

/**
 * Created by IntelliJ IDEA.
 * User: Tome
 * Date: 11.3.12
 * Time: 21:16
 * To change this template use File | Settings | File Templates.
 */
public class VideoActivity extends Activity implements AppConstants, MediaPlayer.OnPreparedListener, MediaPlayer.OnCompletionListener {
    private VideoView mVideoView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);

        setContentView(R.layout.activity_video);
        mVideoView = (VideoView) findViewById(R.id.surface_view);

        String path = getIntent().getStringExtra(URL_TAG_EXTRA);
        Log.d(LOG, "Opening video " + path);

        mVideoView.setOnPreparedListener(this);
        mVideoView.setOnCompletionListener(this);

        mVideoView.setVideoURI(Uri.parse(path));
        mVideoView.setMediaController(new MediaController(this));
        mVideoView.requestFocus();
        mVideoView.start();
    }

    @Override
    public void onPrepared(MediaPlayer mediaPlayer) {
         findViewById(R.id.progress_video).setVisibility(View.INVISIBLE);
    }

    @Override
    public void onCompletion(MediaPlayer mediaPlayer) {

    }
}
