package mk.tmarkovski.android.glasnik.activity;

import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebView;
import mk.tmarkovski.android.glasnik.AppConstants;
import mk.tmarkovski.android.glasnik.R;

/**
 * Created by IntelliJ IDEA.
 * User: Tome
 * Date: 10.3.12
 * Time: 19:02
 * To change this template use File | Settings | File Templates.
 */
public class WebViewFragment extends Fragment implements AppConstants, View.OnClickListener {
    private String mUrl;
    private CharSequence mTitle;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.webview_fragment, container, false);
        view.findViewById(R.id.shareViaButton).setOnClickListener(this);
        return view;
    }

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
        this.mUrl = ((ArticleActivity)getActivity()).getUrl();
        this.mTitle = ((ArticleActivity)getActivity()).getArticleTitle();

        ((WebView)getView().findViewById(R.id.webView)).loadUrl(this.mUrl);
    }

    @Override
    public void onClick(View view) {
        Intent intent = new Intent(Intent.ACTION_SEND);
        intent.setType("text/plain");
        intent.putExtra(Intent.EXTRA_TEXT, this.mTitle + " " + this.mUrl);
        startActivity(Intent.createChooser(intent, "Сподели преку"));
    }
}
